
Foreman - Feature #21987

New UI for Auth sources

12/15/2017 01:37 PM - Dominik Hlavac Duran

Status: Closed   

Priority: Normal   

Assignee: Rahul Bajaj   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1772398 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7206,

https://github.com/theforeman/foreman/p

ull/5560

  

Description

Deu to changes in API with authentication sources - > http://projects.theforeman.org/issues/15286 we want to change them in UI too.

Related issues:

Related to Foreman - Tracker #28345: SSO using OpenID Connect New

Related to Foreman - Bug #29092: page blank when editing external auth sources Closed

Related to Foreman - Refactor #31718: Remove use of {locations,organizations}... Closed

Associated revisions

Revision 6020f357 - 01/24/2020 08:38 AM - Rahul Bajaj

Fixes #21987 - Add UI for Auth Sources

History

#1 - 05/15/2018 11:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5560 added

#2 - 11/25/2019 02:50 PM - Rahul Bajaj

- Related to Tracker #28345: SSO using OpenID Connect added

#3 - 11/25/2019 03:57 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7206 added

#4 - 11/28/2019 10:50 AM - Rahul Bajaj

- Assignee changed from Dominik Hlavac Duran to Rahul Bajaj

- Triaged set to No

- Bugzilla link set to 1772398

#5 - 01/24/2020 08:38 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#6 - 01/24/2020 09:01 AM - Rahul Bajaj

- Status changed from Ready For Testing to Closed

Applied in changeset 6020f357300b196eef7abcaae4a0d9f4945d0039.

#7 - 02/20/2020 03:52 PM - Tomer Brisker
http://projects.theforeman.org/issues/15286
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6020f357300b196eef7abcaae4a0d9f4945d0039


- Related to Bug #29092: page blank when editing external auth sources added

#8 - 01/25/2021 02:38 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #31718: Remove use of {locations,organizations}_enabled in menu structure added
